Subject: Re: binary safe?

From: David Brown <[email-masked]>
Date: Fri, 4 Nov 2005 08:54:19 -0800

On Fri, Nov 04, 2005 at 12:00:54PM +1300, Martin Langhoff wrote:

> Yes it works, and cvsimport -k will do the right thing for you.

Unless it has changed from 0.99.9b, 'cvsimport -k' will very much scramble
some binary files.  '-k' passes the '-kk' option which causes CVS to strip
the keywords down.  It needs to pass -ko through if you want it to be able
to handle binary files.

However, since CVS (RCS really) can remember the state of this flag, it
does work to  'cvs admin -ko filename' beforehand, and then do the
cvsimport without the '-k' option.

Dave